Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.databinding
Class EMFFormsDatabindingImpl

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.databinding.EMFFormsDatabindingImpl

All Implemented Interfaces:
  EMFFormsDatabinding

    public class EMFFormsDatabindingImpl

extends Object
implements EMFFormsDatabinding

EMF implementation of `EMFFormsDatabinding`.

Author:
  Lucas Koehler

Constructor Summary
`EMFFormsDatabindingImpl()`

Method Summary
`org.eclipse.core.databinding.property.list.IListProperty` | `getListProperty(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject object)` Returns an `IListProperty` described by the given `VDomainModelReference`.
`org.eclipse.core.databinding.observable.list.IObservableList` | `getObservableList(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject object)` Returns an `IObservableList` by observing the list described by the given `VDomainModelReference` of the given `EObject`.
`org.eclipse.core.databinding.observable.value.IObservableValue` | `getObservableValue(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject object)` Returns an `IObservableValue` by observing the value described by the given `VDomainModelReference` of the given `EObject`.
`org.eclipse.core.databinding.property.value.IValueProperty` | `getValueProperty(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject object)` Returns an `IValueProperty` described by the given `VDomainModelReference`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsDatabindingImpl

    public EMFFormsDatabindingImpl()

Method Detail

### getObservableValue

    public org.eclipse.core.databinding.observable.value.IObservableValue getObservableValue(VDomainModelReference domainModelReference,
                                                                                             org.eclipse.emf.ecore.EObject object)
                                                                                      throws DatabindingFailedException

  Returns an `IObservableValue` by observing the value described by the given `VDomainModelReference` of the given `EObject`.

  Specified by:
    `getObservableValue` in interface `EMFFormsDatabinding`
  Parameters:
    `domainModelReference` - The domain model reference pointing to the desired value
    `object` - The object containing the value of the reference
  Returns:
    The resulting `IObservableValue`, does not return `null`.
  Throws:
    `DatabindingFailedException` - if the databinding could not be executed successfully.
  See Also:
    `EMFFormsDatabinding.getObservableValue(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)`

### getValueProperty

    public org.eclipse.core.databinding.property.value.IValueProperty getValueProperty(VDomainModelReference domainModelReference,
                                                                                       org.eclipse.emf.ecore.EObject object)
                                                                                throws DatabindingFailedException

  Returns an `IValueProperty` described by the given `VDomainModelReference`.

  Specified by:
    `getValueProperty` in interface `EMFFormsDatabinding`
  Parameters:
    `domainModelReference` - The domain model reference pointing to the desired value
    `object` - The root object of the rendered form
  Returns:
    The resulting `IValueProperty`, does not return `null`.
  Throws:
    `DatabindingFailedException` - if the databinding could not be executed successfully.
  See Also:
    `EMFFormsDatabinding.getValueProperty(VDomainModelReference,EObject)`

### getObservableList

    public org.eclipse.core.databinding.observable.list.IObservableList getObservableList(VDomainModelReference domainModelReference,
                                                                                          org.eclipse.emf.ecore.EObject object)
                                                                                   throws DatabindingFailedException

  Returns an `IObservableList` by observing the list described by the given `VDomainModelReference` of the given `EObject`.

  Specified by:
    `getObservableList` in interface `EMFFormsDatabinding`
  Parameters:
    `domainModelReference` - The domain model reference pointing to the desired list
    `object` - The object containing the values of the reference
  Returns:
    The resulting `IObservableList`, does not return `null`
  Throws:
    `DatabindingFailedException` - if the databinding could not be executed successfully.
  See Also:
    `EMFFormsDatabinding.getObservableList(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)`

### getListProperty

    public org.eclipse.core.databinding.property.list.IListProperty getListProperty(VDomainModelReference domainModelReference,
                                                                                    org.eclipse.emf.ecore.EObject object)
                                                                             throws DatabindingFailedException

  Returns an `IListProperty` described by the given `VDomainModelReference`.

  Specified by:
    `getListProperty` in interface `EMFFormsDatabinding`
  Parameters:
    `domainModelReference` - The domain model reference pointing to the desired list
    `object` - The root object of the rendered form
  Returns:
    The resulting `IListProperty`, does not return `null`.
  Throws:
    `DatabindingFailedException` - if the databinding could not be executed successfully.
  See Also:
    `EMFFormsDatabinding.getListProperty(VDomainModelReference,EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.